local Aloft = Aloft
if not Aloft or not Aloft:GetModule("CreatureTypeData", true) then return end
if not AloftLocale or not AloftLocale.AloftCreatureTypeDataOptions then return end

-----------------------------------------------------------------------------

local AloftCreatureTypeData = Aloft:GetModule("CreatureTypeData")

local L = AloftLocale.AloftCreatureTypeDataOptions

-----------------------------------------------------------------------------

Aloft.Options.args.data.args.creatureType =
{
	type = 'toggle',
	width = 'full',
	name = L["Save Creature Type Data"],
	desc = L["Stores creature type information between sessions"],
	disabled = function(i) return not Aloft:IsEnabled() or not AloftCreatureTypeData:IsEnabled() or not AloftCreatureTypeData.db or not AloftCreatureTypeData.db.profile end,
	get = function(i) return AloftCreatureTypeData.db.profile.save end,
	set = AloftCreatureTypeData.SetSaveData
}

-----------------------------------------------------------------------------
